YPSET(8)

NAME
ypset - point ypbind at a particular server

SYNOPSIS
ypset [ -V1|-V2 ] [ -h host ] [ -d domain ] server

DESCRIPTION
Ypset tells ypbind to get YP services for the specified domain from the ypserv process running on server. If server is down, or isn't running ypserv, this is not discovered until a YP client process tries to get a binding for the domain. At this point, the binding set by ypset is tested by ypbind. If the binding is invalid, ypbind attempts to rebind for the same domain.

Ypset is useful for binding a client node that is either not on a broadcast net, or is on a broadcast net that isn't running a YP server host. Keep in mind that when doing this, the IP address should be given so as to avoid YP host lookups. Since the client is not bound to a server (and has no way to make such a binding), these requests would hang.

Ypset is also useful for debugging YP client applications, such as when a YP map exists at only a single YP server host.

In cases where several hosts on the local net are supplying YP services, it is possible for ypbind to rebind to another host even while you attempt to find out if the ypset operation succeeded. That is, you can type ypset host1 and then ypwhich that replies host2 which can be confusing. This is a function of the YP subsystem's attempt to load-balance among the available YP servers, and occurs when host1 does not respond to ypbind because it is not running ypserv (or is overloaded), and host2, running ypserv, gets the binding.

Server indicates the YP server to bind to, and can be specified as a name or an IP address. If specified as a name, ypset attempts to use YP services to resolve the name to an IP address. This works only if the node has a current valid binding for the domain in question. In most cases, server should be specified as an IP address.

Refer to ypfiles(5) and ypserv(8) for an overview of the yellow pages.

OPTIONS

-V1 Bind server for the (old) v.1 YP protocol.

-V2 Bind server for the (current) v.2 YP protocol.

    If no version is supplied, ypset first attempts to set the domain for the (current) v.2 protocol. If this fails, ypset attempts to set the domain for the (old) v.1 protocol.

-h host
    Set ypbind's binding on host, instead of locally. Host can be specified as a name or as an IP address.

-d domain
    Use domain , instead of the default domain.

SEE ALSO
ypwhich(1), ypfiles(5), ypserv(8)